# General Translation Platform: Scarica più file
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/files/download-many.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Scarica fino a 100 file sorgente o tradotti con una sola richiesta. Riferimento API per Scarica più file.

{/* Questo file è stato generato da Fumadocs. Non modificare questo file direttamente. Eventuali modifiche devono essere apportate eseguendo nuovamente il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/download`

**Operation ID:** `downloadFiles`

**Tags:** `Files`

**Summary:** Download multiple files

Download up to 100 source or translated files in one request.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object[]):
- `fileId` (string, required)
- `branchId` (string)
- `versionId` (string)
- `locale` (string)
- `useLatestAvailableVersion` (boolean)

### Responses

**200**: Downloaded files
Response body (`application/json`, object):
- `files` (object[], required)
  - `id` (string, required)
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `locale` (string)
  - `fileName` (string)
  - `data` (string, required)
  - `metadata` (object, required)
    - `<key>` (string | number | boolean | null | string | number | boolean | null | object[] | object | null[] | object, dynamic key)
  - `fileFormat` ("GTJSON" | "MDX" | "JSON" | "YAML" | "MD" | "TS" | "JS" | "HTML" | "TXT" | "PO" | "POT" | "TWILIO_CONTENT_JSON" | "LOTTIE" | "SVG" | "XCSTRINGS" | "DOT_STRINGS" | "DOT_STRINGSDICT" | "ANDROID_STRINGS" | "SRT" | "RESX", required)
- `count` (number, required)
- `pending` (object[])
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `locale` (string, required)
  - `versionId` (string, required)

**400**: The request is malformed or failed validation.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Authentication is missing or invalid.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: The caller is authenticated but not allowed to perform this operation or access the requested resource.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: The request, or the data it would return, exceeds a size or item limit.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**415**: The request body's Content-Type is missing or not supported. Send the body as application/json.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Too many requests. The rate limit was exceeded.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: An unexpected server error occurred.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
